org.apache.olingo.odata2.api.edm

## Interface EdmFacets

- All Known Implementing Classes:
    Facets

      public interface EdmFacets

  Do not implement this interface or derive from class.

    A Facet is an element defined in CSDL that provides information that specializes the usage of a type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollation()` Get the sorting sequence to be used.
    `EdmConcurrencyMode` | `getConcurrencyMode()` Get the information if the value of the type in use should be used for optimistic concurrency checks.
    `String` | `getDefaultValue()` Get the default value of the type in use
    `Integer` | `getMaxLength()` Get the maximum length of the type in use
    `Integer` | `getPrecision()` Get the precision of the type in use
    `Integer` | `getScale()` Get the scale of the type in use
    `Boolean` | `isFixedLength()` Get the information if the type in has a fixed length
    `Boolean` | `isNullable()` Get the information if the type in use is nullable
    `Boolean` | `isUnicode()` Get the information if UNICODE or ASCII characters are used.

- - ### Method Detail

    - #### isNullable

          Boolean isNullable()

      Get the information if the type in use is nullable
      Returns:
        `true` if the type in use is nullable

    - #### getDefaultValue

          String getDefaultValue()

      Get the default value of the type in use
      Returns:
        a default value of the type in use as String

    - #### getMaxLength

          Integer getMaxLength()

      Get the maximum length of the type in use
      Returns:
        the maximum length of the type in use as Integer

    - #### isFixedLength

          Boolean isFixedLength()

      Get the information if the type in has a fixed length
      Returns:
        `true` if the type in use has a fixed length

    - #### getPrecision

          Integer getPrecision()

      Get the precision of the type in use
      Returns:
        the precision of the type in use as Integer

    - #### getScale

          Integer getScale()

      Get the scale of the type in use
      Returns:
        the scale of the type in use as Integer

    - #### isUnicode

          Boolean isUnicode()

      Get the information if UNICODE or ASCII characters are used. Default is UNICODE.
      Returns:
        `true` if UNICODE characters are used

    - #### getCollation

          String getCollation()

      Get the sorting sequence to be used.
      Returns:
        the sorting sequence as String

    - #### getConcurrencyMode

          EdmConcurrencyMode getConcurrencyMode()

      Get the information if the value of the type in use should be used for optimistic concurrency checks.
      Returns:
        `EdmConcurrencyMode`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.